Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.types.label
Class MeetConfPolicy_c

    java.lang.Object
      polyglot.types.TypeObject_c
          jif.types.label.Policy_c
              jif.types.label.MeetPolicy_c
                  jif.types.label.MeetConfPolicy_c

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, ConfPolicy, Policy, polyglot.types.TypeObject, polyglot.util.Copy

    public class MeetConfPolicy_c

extends MeetPolicy_c
implements ConfPolicy

Represents the meet of a number of confidentiality policies.

See Also:
  Serialized Form

Field Summary

Fields inherited from class polyglot.types.TypeObject_c
`position, ts`

Constructor Summary
`MeetConfPolicy_c(java.util.Set components, JifTypeSystem ts, polyglot.util.Position pos)`

Method Summary
`protected Policy` | `constructMeetPolicy(java.util.Set components, polyglot.util.Position pos)`
`boolean` | `isBottomConfidentiality()`
`boolean` | `isTopConfidentiality()`
`ConfPolicy` | `join(ConfPolicy p)`
`boolean` | `leq_(ConfPolicy p, LabelEnv env, LabelEnv.SearchState state)`
`ConfPolicy` | `meet(ConfPolicy p)`

Methods inherited from class jif.types.label.MeetPolicy_c
`equalsImpl, hashCode, hasVariables, hasWritersToReaders, isBottom, isCanonical, isRuntimeRepresentable, isSingleton, isTop, labelCheck, leq_, meetComponents, simplifyImpl, subst, throwTypes, toString`

Methods inherited from class jif.types.label.Policy_c
`copy, simplify, toString`

Methods inherited from class polyglot.types.TypeObject_c
`equals, position, typeSystem`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface jif.types.label.Policy
`hasVariables, hasWritersToReaders, isBottom, isCanonical, isRuntimeRepresentable, isSingleton, isTop, labelCheck, simplify, subst, throwTypes, toString`

Methods inherited from interface polyglot.types.TypeObject
`equalsImpl, position, typeSystem`

Methods inherited from interface polyglot.util.Copy
`copy`

Constructor Detail

### MeetConfPolicy_c

    public MeetConfPolicy_c(java.util.Set components,
                            JifTypeSystem ts,
                            polyglot.util.Position pos)

Method Detail

### constructMeetPolicy

    protected Policy constructMeetPolicy(java.util.Set components,
                                         polyglot.util.Position pos)

  Specified by:
    `constructMeetPolicy` in class `MeetPolicy_c`

### isBottomConfidentiality

    public boolean isBottomConfidentiality()

  Specified by:
    `isBottomConfidentiality` in interface `ConfPolicy`

### isTopConfidentiality

    public boolean isTopConfidentiality()

  Specified by:
    `isTopConfidentiality` in interface `ConfPolicy`

### leq_

    public boolean leq_(ConfPolicy p,
                        LabelEnv env,
                        LabelEnv.SearchState state)

  Specified by:
    `leq_` in interface `ConfPolicy`

### meet

    public ConfPolicy meet(ConfPolicy p)

  Specified by:
    `meet` in interface `ConfPolicy`

### join

    public ConfPolicy join(ConfPolicy p)

  Specified by:
    `join` in interface `ConfPolicy`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD